Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006490TestLinkAPI - XMLRPCpublic2014-08-12 22:382014-08-17 15:16
Reportertehilad 
Assigned Tofman 
PriorityhighSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.11 (2014 Q2 - bug fixing) 
Fixed in Version1.9.12 (2014 Q3) 
Summary0006490: Assign test to user using assignTestCaseExecutionTask doesn't report the right platform
DescriptionI'm using assignTestCaseExecutionTask to assign test case to user on build x and platform a, but it seems like if the the test case has already assigned to user in previous build (assume build y) with platform b, the test case will assign to the right build (x), but with platform a and not b as requested.
Steps To Reproduce1. Run a test case on build x with platform a
2. Run the same test case on build y, platform b
Expected results: The test is assigned to both(build x, platform a), (build y, platform b)
Actual results: The test is assigned only to platform a in both builds (build x, platform a), (build y, platform a)
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006457closedfman Availables hot-fixes for 1.9.11 & How To get full fixed package from gitorious 

-  Notes
(0021446)
fman (administrator)
2014-08-13 08:16

Please try this
https://gitorious.org/testlink-ga/testlink-code/commit/a8b22b89538cdb026e0bec66fec3b8d78739671e [^]

and provide feedback
(0021476)
tehilad (reporter)
2014-08-17 14:11

It seems to fix the problem, thanks a lot for the rapid response and the great fix!!
(0021477)
fman (administrator)
2014-08-17 15:16

when something has been fixed status has not be changed by reporter

- Issue History
Date Modified Username Field Change
2014-08-12 22:38 tehilad New Issue
2014-08-13 07:10 fman Note Added: 0021442
2014-08-13 08:16 fman Note Deleted: 0021442
2014-08-13 08:16 fman Note Added: 0021446
2014-08-13 08:16 fman Assigned To => fman
2014-08-13 08:16 fman Status new => feedback
2014-08-13 08:17 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-08-13 08:17 fman Relationship added child of 0006457
2014-08-17 14:11 tehilad Note Added: 0021476
2014-08-17 14:11 tehilad Status feedback => assigned
2014-08-17 15:16 fman Note Added: 0021477
2014-08-17 15:16 fman Status assigned => resolved
2014-08-17 15:16 fman Fixed in Version => 1.9.12 (2014 Q3)
2014-08-17 15:16 fman Resolution open => fixed
2014-08-17 15:16 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker